# Created by pyp2rpm-3.3.2
%global pypi_name pyfsdb

Name:           python-%{pypi_name}
Version:        0.9.3
Release:        1%{?dist}
Summary:        A python implementation of the flat-file streaming database

License:        None
URL:            https://github.com/gawseed/pyfsdb
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
#BuildRequires:  python3-nose
BuildRequires:  python3-setuptools

%description
 ObjectiveA python implementation of the [FSDB] flat-file streaming
database.[FSDB]: InstallationUsing pip: pip3 install pyfsdb Or manually: git
clone git@github.com:gawseed/pyfsdb.git cd pyfsdb python3 setup.py build
python3 setup.py install Example UsageThe FSDB file format contains headers and
footers that supplement the data within a file. The most common separator is
tab- separated, but...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-setuptools
%description -n python3-%{pypi_name}
 ObjectiveA python implementation of the [FSDB] flat-file streaming
database.[FSDB]: InstallationUsing pip: pip3 install pyfsdb Or manually: git
clone git@github.com:gawseed/pyfsdb.git cd pyfsdb python3 setup.py build
python3 setup.py install Example UsageThe FSDB file format contains headers and
footers that supplement the data within a file. The most common separator is
tab- separated, but...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

#%check
#%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/bro2fsdb
%{_bindir}/dbaugment
%{_bindir}/dbcoluniq
%{_bindir}/dbfullpivot
%{_bindir}/dbkeyedsort
%{_bindir}/dbsplitter
%{_bindir}/dbtopn
%{_bindir}/dbzerofill
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Jan 24 2020 yp-isi <yuri@isi.edu> - 0.9.3-1
- Initial package.
